x <- c('rcdk','fingerprint');for(i in x){if(!require(i,character.only=T)){
  install.packages(i);library(i,character.only=T)}};rm(x,i)
ifname<-"DataSmiles.csv"
dataSmi<-read.csv(file=ifname,row.names=1,header=TRUE)
aa<-as.character(dataSmi[,4])
mols<-parse.smiles(aa)
#[1] -----maccs-----
fps<-lapply(mols,get.fingerprint,type="maccs")
#[2] -----bit-data ==> 0,1-vector@ =============
bitmatrix<-fp.to.matrix(fps)
rownames(bitmatrix)<-paste0(dataSmi[,3],"(",dataSmi[,2],")")
fp.dist<-dist(bitmatrix,method="euclidean")
par(cex=1)
clustdata<-hclust(fp.dist)
plot(clustdata)